Bug 989752 - Review Request: SDL2 - A cross-platform multimedia library
Review Request: SDL2 - A cross-platform multimedia library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
: 848144 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 16:39 EDT by Igor Gnatenko
Modified: 2016-08-10 04:38 EDT (History)
10 users (show)

See Also:
Fixed In Version: SDL2-2.0.0-1.rc3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 23:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2013-07-29 16:39:31 EDT
Spec URL: http://ignatenkobrain.fedorapeople.org/for-review/SDL2.spec
SRPM URL: http://ignatenkobrain.fedorapeople.org/for-review/SDL2-2.0.0-2.fc19.src.rpm
Description: 
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed
to provide fast access to the graphics frame buffer and audio device.
Fedora Account System Username: ignatenkobrain
Comment 1 Björn "besser82" Esser 2013-07-30 03:50:46 EDT
I'll take this.

#####

Have CC'ed Petr Pisar (ppisar), because he's the maintainer of "old" SDL-branch.  Some colab might be helpful on this, I think.

SDL2 is in RC state itm.  Do you ITP SDL_{image,mixer}2 as well?

#####

He goes the first review-run.  Issues found. :(

#####

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

  ---> What??? Can't find anything java-related in the pkg...
       Must be a bug in f-r, then.  I'll ignore this for now.

- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/besser82/shared/fedora/review/989752-SDL2/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

  ---> rebuild srpm, plz.

- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in SDL2-devel,
  SDL2-static
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

  ---> false-positive (possible bug), are present in arched-form

- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java

  ---> nothing java-releated here, see above

- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

  ---> nothing java-releated here, see above

- all files in %doc have wrong end-of-line encoding
  See: https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

  ---> use sed -i -e's!\r!!g' $file on them, please


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Static libraries in -static subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in SDL2-static

     ---> is solved by requires devel-subpkg

[!]: Package complies to the Packaging Guidelines

     ---> issues present

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "BSD (3 clause)", "GPL (v2 or later)", "Unknown or
     generated", "zlib/libpng". 124 files have unknown license. Detailed
     output of licensecheck in
     /home/besser82/shared/fedora/review/989752-SDL2/licensecheck.txt

     ---> License tag should be zlib and BSD and GPLv2+ and MIT

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

     ---> This will be co-existing with "old" SDL?

[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

What are these lines about in here?  Nothing java-related in src...
See comments above.

Java:
[-]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[-]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.

     ---> There is a tests-dir in src.  Check if theres a check/test
          target in Makefile, please.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

WTF???  See above.

Java:
[-]: Packages are noarch unless they use JNI
     Note: SDL2 subpackage is not noarch. Please verify manually
[-]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: SDL2-2.0.0-2.fc20.x86_64.rpm
          SDL2-devel-2.0.0-2.fc20.x86_64.rpm
          SDL2-static-2.0.0-2.fc20.x86_64.rpm
SDL2.x86_64: W: shared-lib-calls-exit /usr/lib64/libSDL2-2.0.so.0.0.0 _exit@GLIBC_2.2.5
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/BUGS.txt
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/COPYING.txt
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/CREDITS.txt
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/README-SDL.txt
SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2-devel/TODO.txt
SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2-devel/README.txt
SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2-devel/WhatsNew.txt
SDL2-devel.x86_64: W: no-manual-page-for-binary sdl2-config
SDL2-static.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint SDL2-devel SDL2-static SDL2
SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2-devel/TODO.txt
SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2-devel/README.txt
SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2-devel/WhatsNew.txt
SDL2-devel.x86_64: W: no-manual-page-for-binary sdl2-config
SDL2-static.x86_64: W: no-documentation
SDL2.x86_64: W: shared-lib-calls-exit /usr/lib64/libSDL2-2.0.so.0.0.0 _exit@GLIBC_2.2.5
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/BUGS.txt
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/COPYING.txt
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/CREDITS.txt
SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/README-SDL.txt
3 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
SDL2-devel (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pkg-config
    SDL2(x86-64)
    alsa-lib-devel
    libSDL2-2.0.so.0()(64bit)
    libX11-devel
    libXScrnSaver-devel
    libXext-devel
    libXi-devel
    libXrandr-devel
    libXrender-devel
    mesa-libEGL-devel
    mesa-libGL-devel
    mesa-libGLES-devel
    mesa-libGLU-devel

SDL2-static (rpmlib, GLIBC filtered):
    SDL2-devel(x86-64)

SDL2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
SDL2-devel:
    SDL2-devel
    SDL2-devel(x86-64)
    pkgconfig(sdl2)

SDL2-static:
    SDL2-static
    SDL2-static(x86-64)

SDL2:
    SDL2
    SDL2(x86-64)
    libSDL2-2.0.so.0()(64bit)



Source checksums
----------------
http://www.libsdl.org/tmp/release/SDL2-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : d701c1899b3de1e697c988e2a38327dfa00bc43fc430e9645d061425fa541c9f
  CHECKSUM(SHA256) upstream package : 0cd5b73f8d2d723cfdad894df757f378ab84779f49f1c9f7f33059eef201ba48
diff -r also reports differences


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 989752

#####

Please fix the issues and I' take another run on it then.  I'll report a bug against f-r.
Comment 2 Peter Lemenkov 2013-07-30 04:26:39 EDT
I'd like to see Koji scratchbuild logs.

Igor in the future please provide link to the Koji build as well.
Comment 3 Peter Lemenkov 2013-07-30 04:29:33 EDT
* I see you enabled static subpackage. Could you please elaborate a technical rationale behind this?

* Could you please just remove aRts, Esound, NAS support entirely? Less outdated featured your package has, less bugs it contains.
Comment 4 Igor Gnatenko 2013-07-30 04:34:11 EDT
(In reply to Peter Lemenkov from comment #3)
> * I see you enabled static subpackage. Could you please elaborate a
> technical rationale behind this?
No. SDL1 use it.
> 
> * Could you please just remove aRts, Esound, NAS support entirely? Less
> outdated featured your package has, less bugs it contains.
this only for rhel
Comment 5 Peter Lemenkov 2013-07-30 04:39:26 EDT
(In reply to Igor Gnatenko from comment #4)
> (In reply to Peter Lemenkov from comment #3)
> > * I see you enabled static subpackage. Could you please elaborate a
> > technical rationale behind this?
> No. SDL1 use it.

That's not a valid reason. So please remove it since we shouldn't encourage static libraries usage and even packaging.

> > * Could you please just remove aRts, Esound, NAS support entirely? Less
> > outdated featured your package has, less bugs it contains.
> this only for rhel

That's not an explanation either. Please disable it. Also you enabled it wrongly so I'm assuming that you didn't test it. That's a bad sign - a maintainer enables things which he doesn't even tests.
Comment 6 Björn "besser82" Esser 2013-07-30 04:40:27 EDT
*** Bug 848144 has been marked as a duplicate of this bug. ***
Comment 7 Igor Gnatenko 2013-07-30 04:45:52 EDT
(In reply to Björn Esser from comment #1)
> I'll take this.
> 
> #####
> 
> Have CC'ed Petr Pisar (ppisar), because he's the maintainer of "old"
> SDL-branch.  Some colab might be helpful on this, I think.
> 
> SDL2 is in RC state itm.  Do you ITP SDL_{image,mixer}2 as well?
http://www.libsdl.org/tmp/download-2.0.php
SDL version 2.0.0 (stable)
> 
> #####
> 
> He goes the first review-run.  Issues found. :(
> 
> #####
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
>   Note: No javadoc subpackage present
>   See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
> 
>   ---> What??? Can't find anything java-related in the pkg...
>        Must be a bug in f-r, then.  I'll ignore this for now.
> 
> - Sources used to build the package match the upstream source, as provided in
>   the spec URL.
>   Note: Upstream MD5sum check error, diff is in
>   /home/besser82/shared/fedora/review/989752-SDL2/diff.txt
>   See: http://fedoraproject.org/wiki/Packaging/SourceURL
> 
>   ---> rebuild srpm, plz.
Really. He updates release tar.gz w/o changes in version. WTF?
> 
> - Fully versioned dependency in subpackages, if present.
>   Note: Missing: Requires: %{name} = %{version}-%{release} in SDL2-devel,
>   SDL2-static
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
> 
>   ---> false-positive (possible bug), are present in arched-form
> 
> - Packages have proper BuildRequires/Requires on jpackage-utils
>   See: https://fedoraproject.org/wiki/Packaging:Java
> 
>   ---> nothing java-releated here, see above
> 
> - Javadoc documentation files are generated and included in -javadoc
>   subpackage
>   Note: No javadoc subpackage present
>   See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
> 
>   ---> nothing java-releated here, see above
> 
> - all files in %doc have wrong end-of-line encoding
>   See:
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-
> encoding
> 
>   ---> use sed -i -e's!\r!!g' $file on them, please
fixed
> 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Header files in -devel subpackage, if present.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> [x]: Development (unversioned) .so files in -devel subpackage, if present.
> [x]: Static libraries in -static subpackage, if present.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [?]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [x]: Development files must be in a -devel package
> [x]: Package requires other packages for directories it uses.
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package is not known to require ExcludeArch.
> [x]: Fully versioned dependency in subpackages, if present.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
> SDL2-static
> 
>      ---> is solved by requires devel-subpkg
> 
> [!]: Package complies to the Packaging Guidelines
> 
>      ---> issues present
> 
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "MIT/X11 (BSD like)", "BSD (3 clause)", "GPL (v2 or later)", "Unknown or
>      generated", "zlib/libpng". 124 files have unknown license. Detailed
>      output of licensecheck in
>      /home/besser82/shared/fedora/review/989752-SDL2/licensecheck.txt
> 
>      ---> License tag should be zlib and BSD and GPLv2+ and MIT
fixed
> 
> [x]: License file installed when any subpackage combination is installed.
> [x]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [?]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [?]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> 
>      ---> This will be co-existing with "old" SDL?
yes. we should to support SDL and SDL2 simultaneously
> 
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [-]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 20480 bytes in 7 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> What are these lines about in here?  Nothing java-related in src...
> See comments above.
> 
> Java:
> [-]: Bundled jar/class files should be removed before build
> 
> Maven:
> [-]: If package contains pom.xml files install it (including depmaps) even
>      when building with ant
> [-]: Old add_to_maven_depmap macro is not being used
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [?]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Scriptlets must be sane, if used.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [?]: %check is present and all tests pass.
> 
>      ---> There is a tests-dir in src.  Check if theres a check/test
>           target in Makefile, please.
for check we should to have installed SDL2, but in chroot we don't have it
> 
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Uses parallel make.
> [x]: The placement of pkgconfig(.pc) files are correct.
> [x]: SourceX tarball generation or download is documented.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> WTF???  See above.
> 
> Java:
> [-]: Packages are noarch unless they use JNI
>      Note: SDL2 subpackage is not noarch. Please verify manually
> [-]: Package uses upstream build method (ant/maven/etc.)
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: SDL2-2.0.0-2.fc20.x86_64.rpm
>           SDL2-devel-2.0.0-2.fc20.x86_64.rpm
>           SDL2-static-2.0.0-2.fc20.x86_64.rpm
> SDL2.x86_64: W: shared-lib-calls-exit /usr/lib64/libSDL2-2.0.so.0.0.0
> _exit@GLIBC_2.2.5
> SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/BUGS.txt
> SDL2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2/COPYING.txt
> SDL2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2/CREDITS.txt
> SDL2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2/README-SDL.txt
> SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2-devel/TODO.txt
> SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2-devel/README.txt
> SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2-devel/WhatsNew.txt
> SDL2-devel.x86_64: W: no-manual-page-for-binary sdl2-config
> SDL2-static.x86_64: W: no-documentation
> 3 packages and 0 specfiles checked; 0 errors, 10 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint SDL2-devel SDL2-static SDL2
> SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2-devel/TODO.txt
> SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2-devel/README.txt
> SDL2-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2-devel/WhatsNew.txt
> SDL2-devel.x86_64: W: no-manual-page-for-binary sdl2-config
> SDL2-static.x86_64: W: no-documentation
> SDL2.x86_64: W: shared-lib-calls-exit /usr/lib64/libSDL2-2.0.so.0.0.0
> _exit@GLIBC_2.2.5
> SDL2.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SDL2/BUGS.txt
> SDL2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2/COPYING.txt
> SDL2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2/CREDITS.txt
> SDL2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/SDL2/README-SDL.txt
> 3 packages and 0 specfiles checked; 0 errors, 10 warnings.
> # echo 'rpmlint-done:'
> 
> 
> 
> Requires
> --------
> SDL2-devel (rpmlib, GLIBC filtered):
>     /bin/sh
>     /usr/bin/pkg-config
>     SDL2(x86-64)
>     alsa-lib-devel
>     libSDL2-2.0.so.0()(64bit)
>     libX11-devel
>     libXScrnSaver-devel
>     libXext-devel
>     libXi-devel
>     libXrandr-devel
>     libXrender-devel
>     mesa-libEGL-devel
>     mesa-libGL-devel
>     mesa-libGLES-devel
>     mesa-libGLU-devel
> 
> SDL2-static (rpmlib, GLIBC filtered):
>     SDL2-devel(x86-64)
> 
> SDL2 (rpmlib, GLIBC filtered):
>     /sbin/ldconfig
>     libc.so.6()(64bit)
>     libdl.so.2()(64bit)
>     libm.so.6()(64bit)
>     libpthread.so.0()(64bit)
>     librt.so.1()(64bit)
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> SDL2-devel:
>     SDL2-devel
>     SDL2-devel(x86-64)
>     pkgconfig(sdl2)
> 
> SDL2-static:
>     SDL2-static
>     SDL2-static(x86-64)
> 
> SDL2:
>     SDL2
>     SDL2(x86-64)
>     libSDL2-2.0.so.0()(64bit)
> 
> 
> 
> Source checksums
> ----------------
> http://www.libsdl.org/tmp/release/SDL2-2.0.0.tar.gz :
>   CHECKSUM(SHA256) this package     :
> d701c1899b3de1e697c988e2a38327dfa00bc43fc430e9645d061425fa541c9f
>   CHECKSUM(SHA256) upstream package :
> 0cd5b73f8d2d723cfdad894df757f378ab84779f49f1c9f7f33059eef201ba48
> diff -r also reports differences
> 
> 
> Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
> Buildroot used: fedora-rawhide-x86_64
> Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 989752
> 
> #####
> 
> Please fix the issues and I' take another run on it then.  I'll report a bug
> against f-r.
new spec: http://ignatenkobrain.fedorapeople.org/for-review/SDL2.spec
new SRPM:http://ignatenkobrain.fedorapeople.org/for-review/SDL2-2.0.0-1.rc1.fc19.src.rpm
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5676929
Comment 8 Petr Pisar 2013-07-30 05:02:09 EDT
(In reply to Peter Lemenkov from comment #3)
> * Could you please just remove aRts, Esound, NAS support entirely? Less
> outdated featured your package has, less bugs it contains.

I propose not to package SDL2 at all. Less packages we have less bugs the distribution contains.
Comment 9 Björn "besser82" Esser 2013-07-30 05:18:40 EDT
(In reply to Petr Pisar from comment #8)
> (In reply to Peter Lemenkov from comment #3)
> > * Could you please just remove aRts, Esound, NAS support entirely? Less
> > outdated featured your package has, less bugs it contains.
> 
> I propose not to package SDL2 at all. Less packages we have less bugs the
> distribution contains.

This is some kind of ironic, isn't it?
Comment 11 Björn "besser82" Esser 2013-07-30 08:16:57 EDT
Still two minor issues.  You can fix on SCM-import :)

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- Package must own all directories that it creates.
  See in report below.

- Proper License-breakdown.  See in report below.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.

     ---> yum provides */$srcfile doesn't report any file to be provided
          from another package.  Nothing bundled, I think.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines

     ---> two small issues: License and owned-dirs
          need fix on SCM-import

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "BSD (3 clause)", "GPL (v2 or later)", "Unknown or
     generated", "zlib/libpng". 125 files have unknown license. Detailed
     output of licensecheck in
     /home/besser82/shared/fedora/review/989752-SDL2/licensecheck.txt

     ---> My bad... You should drop BSD and GPLv2+
          First is from testsuite and latter from included libtool
          But you need to keep MIT; it's from sources

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.

     ---> devel doesn't own '%{_datadir}/aclocal'
          change '%{_datadir}/aclocal/*' to '%{_datadir}/aclocal'
          and all is fine. It's common on 28 other devel-pkgs to
          own this dir, See: `yum provides */aclocal/`

[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: SDL2-2.0.0-1.rc2.fc20.x86_64.rpm
          SDL2-devel-2.0.0-1.rc2.fc20.x86_64.rpm
SDL2.x86_64: W: shared-lib-calls-exit /usr/lib64/libSDL2-2.0.so.0.0.0 _exit@GLIBC_2.2.5
SDL2-devel.x86_64: W: no-manual-page-for-binary sdl2-config
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint SDL2-devel SDL2
SDL2-devel.x86_64: W: no-manual-page-for-binary sdl2-config
SDL2.x86_64: W: shared-lib-calls-exit /usr/lib64/libSDL2-2.0.so.0.0.0 _exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
SDL2-devel (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pkg-config
    SDL2(x86-64)
    alsa-lib-devel
    libSDL2-2.0.so.0()(64bit)
    libX11-devel
    libXScrnSaver-devel
    libXext-devel
    libXi-devel
    libXrandr-devel
    libXrender-devel
    mesa-libEGL-devel
    mesa-libGL-devel
    mesa-libGLES-devel
    mesa-libGLU-devel

SDL2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
SDL2-devel:
    SDL2-devel
    SDL2-devel(x86-64)
    pkgconfig(sdl2)

SDL2:
    SDL2
    SDL2(x86-64)
    libSDL2-2.0.so.0()(64bit)



Source checksums
----------------
http://www.libsdl.org/tmp/release/SDL2-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0cd5b73f8d2d723cfdad894df757f378ab84779f49f1c9f7f33059eef201ba48
  CHECKSUM(SHA256) upstream package : 0cd5b73f8d2d723cfdad894df757f378ab84779f49f1c9f7f33059eef201ba48


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 989752

#####

Everything else is fine here.  Please fix the issues on SCM-import.

Утвержденных! ;)
APPROVED!
Comment 12 Björn "besser82" Esser 2013-07-30 08:33:20 EDT
(In reply to Björn Esser from comment #11)
> [!]: Package must own all directories that it creates.
> 
>      ---> devel doesn't own '%{_datadir}/aclocal'
>           change '%{_datadir}/aclocal/*' to '%{_datadir}/aclocal'
>           and all is fine. It's common on 28 other devel-pkgs to
>           own this dir, See: `yum provides */aclocal/`

Sorry my bad ;)  Pkg must not own this dir!  It's owned by filesystem already and avail on every system.
Comment 13 Igor Gnatenko 2013-07-30 08:42:39 EDT
New Package SCM Request
=======================
Package Name: SDL2
Short Description: A cross-platform multimedia library
Owners: ignatenkobrain
Branches: f19
Comment 15 Gwyn Ciesla 2013-07-30 08:47:39 EDT
Git done (by process-git-requests).
Comment 16 Michael Schwendt 2013-07-30 09:00:35 EDT
What's the solution for the missing dependencies for the dlopen'ed shared libs? Has that changed in any way? bug 848144 comment 8
Comment 17 Fedora Update System 2013-07-30 09:42:02 EDT
SDL2-2.0.0-1.rc3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/SDL2-2.0.0-1.rc3.fc19
Comment 18 Petr Pisar 2013-07-30 13:32:28 EDT
(In reply to Michael Schwendt from comment #16)
> What's the solution for the missing dependencies for the dlopen'ed shared
> libs? Has that changed in any way? bug 848144 comment 8

Those are week dependencies and intended behaviour. SDL supports multiple outputs. E.g. you don't need any X11, you can run SDL application on framebuffer console. Or you can have even non-graphical SDL application (e.g. there is a joystick calibration application somewhere in kbd---pure virtual terminal thing).

Thus there should not be any RPM dependency on X11 libraries or similar.
Comment 19 Michael Schwendt 2013-07-30 14:37:19 EDT
Hmm, then it'll be the package maintainer's job to ensure that those sonames match what's provided in the package collection and that they don't change during a release. Probably not a problem with X11, but I haven't checked what other libs are opened.
Comment 20 dr.trigon 2013-07-31 13:53:29 EDT
Related to bug 990677.
Comment 21 Fedora Update System 2013-08-01 23:33:59 EDT
SDL2-2.0.0-1.rc3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 22 Fedora Update System 2013-08-09 23:55:09 EDT
SDL2-2.0.0-1.rc3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 23 Fedora Update System 2013-08-10 08:39:07 EDT
SDL2-2.0.0-1.rc3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.